# Interface ICompareNavigator

All Known Implementing Classes:
  `CompareEditorInputNavigator, CompareNavigator`

public interface ICompareNavigator
A `ICompareNavigator` is used to navigate through the individual differences of a `CompareEditorInput` or another type of Compare container.

You can retrieve an object implementing the `ICompareNavigator` from a `CompareEditorInput` by calling `getAdapter(ICompareNavigator)` on the `CompareEditorInput`.

Although it is legal for clients to implement this interface, it is better to subclass `CompareNavigator`.

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`selectChange(boolean next)`
Starting from the current selection `selectChange` selects and reveals the next (previous) change.

## Method Details

### selectChange

boolean selectChange(boolean next)
Starting from the current selection `selectChange` selects and reveals the next (previous) change. If the end (or beginning) is reached, the method returns `true`.

Parameters:
  `next` - if `true` the next change is selected, otherwise the previous change
Returns:
  returns `true` if end (beginning) is reached, `false` otherwise